{% extends "base.html.twig" %}

{% block title %}Badge{% endblock %}

{% block body %}
    {% if error %}
        <div class="alert alert-danger" style="margin: 20px;">
            {{ error }}
        </div>
    {% endif %}
    <h1 style="margin: 5%; text-align: center;">Badge Creator</h1>
    {{ include('@App/Badge/badge-form.html.twig') }}
    <div style="display: flex; flex-wrap: wrap; align-content: space-around; padding-top: 70px;">
        {% for badge in badges %}
            <div style="margin: 10px; width: 112px">
                <img src="{{ badge.img }}" alt="img" style="height: 100px; width: auto;"/>
                <p style="text-align: center">{{ badge.name }}</p>
            </div>
        {% endfor %}
    </div>
{% endblock %}